=== debian/changelog ===
cutefish-launcher (0.8) UNRELEASED; urgency=high

  * Update

 -- CutefishOS Packaging Team <support@cutefishos.com>  Sat, 29 Jan 2022 03:28:29 +0800

cutefish-launcher (0.5) UNRELEASED; urgency=high

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Thu, 16 Sep 2021 02:31:42 +0800
